.s-steps-type-2 {
  position: relative
}

.s-steps-type-2.sb-align-center .s-steps-type-2__block-wrapper {
  padding-left: 0;
  padding-right: 0
}

@media screen and (max-width:959px) {
  .s-steps-type-2.sb-align-center .s-steps-type-2__row {
    justify-content: flex-start
  }
}

.s-steps-type-2 .s-steps-type-2__row {
  position: relative;
  flex-grow: 1;
  min-width: 0
}

.s-steps-type-2__stepper {
  display: flex;
  flex-direction: row-reverse
}

@media screen and (max-width:959px) {
  .s-steps-type-2__stepper {
    flex-direction: column
  }
}

@media screen and (min-width:960px) {
  .s-steps-type-2__stepper {
    align-items: flex-start
  }

  .s-steps-type-2__image-wrapper {
    margin-bottom: 0 !important
  }
}

.s-steps-type-2__image-wrapper {
  flex-shrink: 0;
  width: 100%
}

.s-steps-type-2__block-wrapper {
  position: relative;
  display: flex;
  width: 100%;
  min-width: 0;
  text-align: left
}

.s-steps-type-2__block-wrapper:last-child .s-steps-type-2__line {
  display: none
}

.s-steps-type-2__block {
  position: static !important;
  display: flex;
  align-items: center
}

.s-steps-type-2__line {
  position: absolute;
  bottom: 0;
  border-left-width: 1px;
  border-left-style: solid
}

.s-steps-type-2__counter {
  position: relative;
  align-self: flex-start;
  flex-shrink: 0
}

.s-steps-type-2__circle {
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  border-width: 1px;
  border-style: solid;
  border-radius: 100%;
  box-sizing: border-box
}

@media screen and (max-width:639px) {
  .s-steps-type-2__line {
    top: 48px;
    left: 24px
  }

  .s-steps-type-2__circle {
    width: 48px;
    height: 48px;
    margin-right: 12px
  }
}

@media (min-width:640px) and (max-width:959px) {
  .s-steps-type-2__line {
    top: 64px;
    left: 32px
  }

  .s-steps-type-2__circle {
    width: 64px;
    height: 64px;
    margin-right: 32px
  }
}

@media screen and (min-width:960px) {
  .s-steps-type-2__line {
    top: 80px;
    left: 40px
  }

  .s-steps-type-2__circle {
    width: 80px;
    height: 80px
  }
}

@media (min-width:960px) and (max-width:1359px) {
  .s-steps-type-2__image-wrapper {
    max-width: 392px;
    margin-left: 40px
  }

  .s-steps-type-2__circle {
    margin-right: 32px
  }
}

@media screen and (min-width:1360px) {
  .s-steps-type-2__image-wrapper {
    max-width: 528px;
    margin-left: 48px
  }

  .s-steps-type-2__circle {
    margin-right: 64px
  }
}

.s-steps-type-2__text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex-grow: 1;
  flex-basis: 0;
  min-width: 0;
  height: 100%
}
